Bug 4670 - не правильно обрабатываеться select для файла cplay_control
: не правильно обрабатываеться select для файла cplay_control
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cplay)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-04 08:10 by
Modified: 2006-12-17 19:08 (History)


Attachments
Патч, исправляющий проблему (workaround) (294 bytes, patch)
2004-07-04 08:11, Alexander Borovsky
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-04 08:10:20
При вызове select для данного файла всегда возвращаеться, что в нё есть данные
для чтения. Поэтому select сразу возвращает управления и нагрузка на процессор
состовляет 100%. Workaround: в FIFOControl.handlecommands добавить строку
time.sleep(0.02). Это увеличит время реакции, но нагрузка на процессор будет не
большой 
Steps to Reproduce:
1. создать /var/tmp/cplay_control
2. запустить cplay
------- Comment #1 From 2004-07-04 08:11:59 -------
Created an attachment (id=472) [details]
Патч, исправляющий проблему (workaround)
------- Comment #2 From 2006-02-14 19:36:34 -------
Ну не знаю, не знаю, я именно эту версию брал за основу (хакал под себя).
Никогда такого не видел, хотя пользуюсь постоянно (WM по горячим клавишам шлёт
строки в ~tmp/cplay_control). Ничего связанного с обработкой фифы (судя по
диффу) не тронул.

PS: посмотрел сайт этого финна и улыбнулся. Он почти в точности все те же фичи
(с)делал, которыми я больше года пользуюсь :-)
------- Comment #3 From 2006-02-16 20:57:14 -------
Понял похоже откуда такая проблема! Неужели постящий багу создавал
cplay_control
как обычный файл? Надо было как pipe.

Проверил: если вместо пайпа положить файл обычный, то проблема воспроизводится.
С пайпом проблем нет (бо мой хак специально создаёт в нужном месте пайп). Так
что должно лечиться или "mkfifo" в spec-е или патчем исходника, чтоб создавал
пайп где-нить в ~/tmp (как я и сделал).
------- Comment #4 From 2006-09-27 17:23:06 -------
Так в команде с тех пор прибавление было, или уже не используете?  Для
1.49-alt4
эта бага актуальна или нет?
------- Comment #5 From 2006-09-28 05:37:44 -------
(In reply to comment #4)
> Так в команде с тех пор прибавление было, или уже не используете?  Для 1.49-alt4
> эта бага актуальна или нет?

Если это мне вопрос: как наладил себе xmms - не использую. Про актуаольность -
нет вроде:

R -qp --changelog cplay-1.49-alt4.src.rpm H -16
* Пнд Мар 14 2005 Alexander Borovsky <partizan@altlinux.ru> 1.49-alt4

- Rebuild with new python

* Птн Авг 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.49-alt3

- install systemwide config /etc/cplayrc.
- Fixed ogg-files navigation (Alexander Borovsky).
- playing mp3-files with .wav extension alllowed (Alexander Borovsky).
- install systemwide config /etc/cplayrc.

* Вск Июл 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.49-alt2

- install /usr/bin/cplay as a symlink to /usr/lib/cplay/cplay.py
- fix #4670 (Alexander Borovsky).

Не смотрел только, как оно там пофикшено - предложенным патчем или кошерно как
то. А вооще-то cplay уже в orphaned, что должно о чём-то говорить.
------- Comment #6 From 2006-12-17 19:08:02 -------
Ясно, значит, за orphaned/cplay-1.49-alt4.src.rpm просто забыли напоследок
закрыть баги.

Безглючная ему память.